# sc::FileOperationFailed Class Reference

This is thrown when an operation on a file fails. More...

`#include <scexception.h>`

Inheritance diagram for sc::FileOperationFailed:

List of all members.

## Public Types

enum | FileOperation { Unknown, OpenR, OpenW, OpenRW, Close, Read, Write, Corrupt, Other }

## Public Member Functions

| FileOperationFailed (const char *description=0, const char *source_file=0, int line=0, const char *filename=0, FileOperation operation=Unknown, const ClassDesc *class_desc=0, const char *exception_type="FileOperationFailed") throw ()
| FileOperationFailed (const FileOperationFailed &) throw ()
const char * | filename () const throw ()
| Returns the file name of the file that caused the error, if known.
FileOperation | operation () const throw ()

## Detailed Description

This is thrown when an operation on a file fails.

## Member Function Documentation

const char* sc::FileOperationFailed::filename | ( |  | ) | const throw ()`[inline]`

Returns the file name of the file that caused the error, if known.

Otherwise 0 is returned.

The documentation for this class was generated from the following file:

- scexception.h